TwoPrioritiesBufferQueue (Siena 2.0.4 API Documentation)
Date: 2015-05-17

siena.dvdrp

## Class TwoPrioritiesBufferQueue

- java.lang.Object
- - siena.dvdrp.AbstractTwoPrioritiesBufferQueue
  - - siena.dvdrp.TwoPrioritiesBufferQueue

- All Implemented Interfaces:
    TwoPrioritiesQueue

      public class TwoPrioritiesBufferQueue
      extends AbstractTwoPrioritiesBufferQueue
      implements TwoPrioritiesQueue

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `DEFAULT_SIZE_HIGH`
    `static int` | `DEFAULT_SIZE_LOW`
    `protected int` | `high_size`
    `protected int` | `low_size`

    - ### Fields inherited from class siena.dvdrp.AbstractTwoPrioritiesBufferQueue

      `DEFAULT_MAX_LOW_PENALTY, low_penalty, max_low_penalty`

    - ### Fields inherited from interface siena.dvdrp.TwoPrioritiesQueue

      `HIGH, LOW`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TwoPrioritiesBufferQueue()`
    `TwoPrioritiesBufferQueue(int high_size, int low_size)`

  - ### Method Summary

    - ### Methods inherited from class siena.dvdrp.AbstractTwoPrioritiesBufferQueue

      `add, add, clear, next, recycle`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface siena.dvdrp.TwoPrioritiesQueue

      `add, add, clear`

- - ### Field Detail

    - #### DEFAULT_SIZE_HIGH

          public static int DEFAULT_SIZE_HIGH

    - #### DEFAULT_SIZE_LOW

          public static int DEFAULT_SIZE_LOW

    - #### high_size

          protected int high_size

    - #### low_size

          protected int low_size

  - ### Constructor Detail

    - #### TwoPrioritiesBufferQueue

          public TwoPrioritiesBufferQueue()

    - #### TwoPrioritiesBufferQueue

          public TwoPrioritiesBufferQueue(int high_size,
                                  int low_size)

Copyright © 2000-2005 University of Colorado.
Copyright © 2005-2011 Antonio Carzaniga.
This documentation is maintained by Antonio Carzaniga